Minor troubles with visualization plugin in 3.0.1

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Minor troubles with visualization plugin in 3.0.1

Gotthard, Petr

Hello,

In the rabbitmq 3.0.1

 

(1) The visualizer still asks for HTTP authentication, while the whole web management uses a new log-in dialog. This means that I need to log-in twice: once using the log-in dialog (to enter the web management) and then for the second time when I enter the visualizer.

 

(2) The visualizer now doesn’t display the RabbitMQ logo. Problem is that the logo is (well, used to be) the only way how to leave the visualization screen and switch to another web management screen. Is it a bug or a feature? ;-)

 

(I’m using Firefox 17.0.1)

 

 

Regards,

Petr

 


_______________________________________________
rabbitmq-discuss mailing list
[hidden email]
https://lists.rabbitmq.com/cgi-bin/mailman/listinfo/rabbitmq-discuss
Reply | Threaded
Open this post in threaded view
|

Can NOT start 2.8.6 (using R15B03), Can start 3.0

John Smith
ON Windows 2008, I can install RabbitMQ 3.0 (latest version with Erlang otp_win32_R15B03-1.exe
 
It installs and starts properly
 
However, If i uninstall Rabbit and install RabbitMQ 2.8.6 (preparing for the VMWare version), it installs well, but I get the following error
 
{"init terminating in do_boot",{function_clause,[{lists,usort,[['rabbit@IMPOSSIB
LE2'|{['rabbit@IMPOSSIBLE2'],['rabbit@IMPOSSIBLE2']}]],[{file,"lists.erl"},{line
,992}]},{rabbit_upgrade,maybe_upgrade_mnesia,0,[]},{rabbit,prepare,0,[]},{init,e
val_script,8,[{file,"init.erl"},{line,842}]},{init,do_boot,3,[{file,"init.erl"},
{line,748}]}]}}
init terminating in do_boot ()
 
I am guessing the problem is the ERLANG level
 
What is the correct level for erlang for RabiitMQ 2.8.6, or is this another problem

 


_______________________________________________
rabbitmq-discuss mailing list
[hidden email]
https://lists.rabbitmq.com/cgi-bin/mailman/listinfo/rabbitmq-discuss
Reply | Threaded
Open this post in threaded view
|

Re: Can NOT start 2.8.6 (using R15B03), Can start 3.0

Jerry Kuch
Although Rabbit will
upgrade its Mnesia schema to newer versions when an upgrade is first installed, that code doesn't IIRC do the reverse. Assuming there's nothing in your Mnesia that you want to keep you should try blowing them away and then starting 2.8.x.  If there is stuff there you want to keep, reinstall 3.0, export the stuff for safekeeping, then trash Mnesia and go back to 2.8.6.

Alternatively you could play with the environment settings to put Mnesia somewhere else for one of the versions...

Sent from my iPhone (Brevity and typos are hopefully the result of 1-fingered typing rather than rudeness or illiteracy).


On Dec 18, 2012, at 6:37 PM, John Smith <[hidden email]> wrote:

ON Windows 2008, I can install RabbitMQ 3.0 (latest version with Erlang otp_win32_R15B03-1.exe
 
It installs and starts properly
 
However, If i uninstall Rabbit and install RabbitMQ 2.8.6 (preparing for the VMWare version), it installs well, but I get the following error
 
{"init terminating in do_boot",{function_clause,[{lists,usort,[['rabbit@IMPOSSIB
LE2'|{['rabbit@IMPOSSIBLE2'],['rabbit@IMPOSSIBLE2']}]],[{file,"lists.erl"},{line
,992}]},{rabbit_upgrade,maybe_upgrade_mnesia,0,[]},{rabbit,prepare,0,[]},{init,e
val_script,8,[{file,"init.erl"},{line,842}]},{init,do_boot,3,[{file,"init.erl"},
{line,748}]}]}}
init terminating in do_boot ()
 
I am guessing the problem is the ERLANG level
 
What is the correct level for erlang for RabiitMQ 2.8.6, or is this another problem

 

_______________________________________________
rabbitmq-discuss mailing list
[hidden email]
https://lists.rabbitmq.com/cgi-bin/mailman/listinfo/rabbitmq-discuss

_______________________________________________
rabbitmq-discuss mailing list
[hidden email]
https://lists.rabbitmq.com/cgi-bin/mailman/listinfo/rabbitmq-discuss